Subject: [quicwg/base-drafts] 78e114: Clarify definition of off-path

From: Martin Thomson <[email-masked]>
Date: Sun, 10 Jan 2021 18:26:26 -0800

Branch: refs/heads/zero-or-more-occurrences
  Home:   https://github.com/quicwg/base-drafts
  Commit: 78e114baa28c8be34eb0c5792893beec2c688db7
      https://github.com/quicwg/base-drafts/commit/78e114baa28c8be34eb0c5792893beec2c688db7
  Author: Martin Thomson <[email-masked]>
  Date:   2020-12-23 (Wed, 23 Dec 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Clarify definition of off-path

We weren't being consistent.  This should help.

Next step is to ensure that our usage is consistent.

  Commit: 123edd6acdb98396f3e144b580e9b06f73069537
      https://github.com/quicwg/base-drafts/commit/123edd6acdb98396f3e144b580e9b06f73069537
  Author: Martin Thomson <[email-masked]>
  Date:   2020-12-23 (Wed, 23 Dec 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Consistency in off-path usage: -transport

  Commit: 4f837ca0145b7c7cd01a47190a5b12e5d8887238
      https://github.com/quicwg/base-drafts/commit/4f837ca0145b7c7cd01a47190a5b12e5d8887238
  Author: Martin Thomson <[email-masked]>
  Date:   2020-12-23 (Wed, 23 Dec 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Consistency in use of off-path: -tls

  Commit: 9504a9fab1d12a599738996cf8ba9c0cda6d9d9e
      https://github.com/quicwg/base-drafts/commit/9504a9fab1d12a599738996cf8ba9c0cda6d9d9e
  Author: Martin Thomson <[email-masked]>
  Date:   2020-12-23 (Wed, 23 Dec 2020)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  nits

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 3d3a3775d461036bf68f0e2b9f3217f2eb05f5c3
      https://github.com/quicwg/base-drafts/commit/3d3a3775d461036bf68f0e2b9f3217f2eb05f5c3
  Author: Martin Thomson <[email-masked]>
  Date:   2020-12-23 (Wed, 23 Dec 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Transport parameters can be used before they are authentic

This is OK, but only in a limited fashion.

  Commit: 232fbb372e53e924dc3df7a8a55fc672cfdce041
      https://github.com/quicwg/base-drafts/commit/232fbb372e53e924dc3df7a8a55fc672cfdce041
  Author: Martin Thomson <[email-masked]>
  Date:   2020-12-23 (Wed, 23 Dec 2020)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  a good observation

Co-authored-by: martinduke <[email-masked]>

  Commit: 4b8f06ecbbdcfefea4b6441c71e984cd8f210c6b
      https://github.com/quicwg/base-drafts/commit/4b8f06ecbbdcfefea4b6441c71e984cd8f210c6b
  Author: Martin Thomson <[email-masked]>
  Date:   2020-12-23 (Wed, 23 Dec 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Wrap

  Commit: be3b4e852050338bea18bd61efe825f6b192d259
      https://github.com/quicwg/base-drafts/commit/be3b4e852050338bea18bd61efe825f6b192d259
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-04 (Mon, 04 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fewer words

Co-authored-by: Mike Bishop <[email-masked]>

  Commit: b7b06086078b65ee99c456ad97643bb87146d9c1
      https://github.com/quicwg/base-drafts/commit/b7b06086078b65ee99c456ad97643bb87146d9c1
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-04 (Mon, 04 Jan 2021)

  Changed paths:
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add invariants to the list

  Commit: 6d5f25cf8498c2318b3ef62971cac2cf56505ef0
      https://github.com/quicwg/base-drafts/commit/6d5f25cf8498c2318b3ef62971cac2cf56505ef0
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-05 (Tue, 05 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  entities

  Commit: 55c81451956cc42f758d63b1722e50ce3529ec07
      https://github.com/quicwg/base-drafts/commit/55c81451956cc42f758d63b1722e50ce3529ec07
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  0-RTT is possible without prior communication

Though I guess provisioning of a PSK depends on prior communication of a
sort, there is no need to be so absolute here.

Closes #4478.

  Commit: caf2aa9f3dcbe72c321b08151297591a9107a65e
      https://github.com/quicwg/base-drafts/commit/caf2aa9f3dcbe72c321b08151297591a9107a65e
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  It is important to agree on who authenticates

Important enough to call out in this section.

Closes #4479.

  Commit: 896dcbba3294283047600560b6b81ce901ba38b3
      https://github.com/quicwg/base-drafts/commit/896dcbba3294283047600560b6b81ce901ba38b3
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Strike "TLS" from encryption level

  Commit: a1148e1de532025681fd8e9c1195755c4bb724a1
      https://github.com/quicwg/base-drafts/commit/a1148e1de532025681fd8e9c1195755c4bb724a1
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Remove misleading text about coalescing

And replace it with explanatory language about encryption levels and
packet number spaces.  This context is now missing as a result of moving
the referenced text to -transport.

Closes #4480.

  Commit: bbe48aca03668f116448f063d9dc9dd75750ac76
      https://github.com/quicwg/base-drafts/commit/bbe48aca03668f116448f063d9dc9dd75750ac76
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  This is an example for illustration purposes

Ben observed that this might be at odds with the definition of the
interface.  This is true, but the illustrative value of the current
structure is valuable.  More text on that might help.

Closes #4482.

  Commit: 36aa6531c80f07881b1669dfcc6fb4943e60e90d
      https://github.com/quicwg/base-drafts/commit/36aa6531c80f07881b1669dfcc6fb4943e60e90d
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Add Handshake Confirmed to the TLS interface

Though this doesn't really need to be shown here to illustrate the
interface between the stack components, the state is defined in this
section, so it makes sense to show it.  For completeness, if nothing
else (or is it confirmedness?).

Originally raised in #4480.

  Commit: c1d8a188cd8a769a79cac0479ade139684dd08d5
      https://github.com/quicwg/base-drafts/commit/c1d8a188cd8a769a79cac0479ade139684dd08d5
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Cite 8.1 of -transport for Initial padding

Closes #4483.

  Commit: 32061951eb08fa84252d69690963fceb26a640c7
      https://github.com/quicwg/base-drafts/commit/32061951eb08fa84252d69690963fceb26a640c7
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Define Context and Length inputs to HKDF-Expand-Label

Closes #4489.

  Commit: c53d4fea0167df5b13335cfd19b0d55f92414e33
      https://github.com/quicwg/base-drafts/commit/c53d4fea0167df5b13335cfd19b0d55f92414e33
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Normative language for sampling ciphertext

Though people will undoubtedly rely on pseudocode to understand this,
there is no reason why we can't also use prose.

Closes #4492.

  Commit: 5f349683dec219a7c8154ccc092edd33ea0681ac
      https://github.com/quicwg/base-drafts/commit/5f349683dec219a7c8154ccc092edd33ea0681ac
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Subsequent keys can be used as well as the next

This is a little pedantic, but it's more correct.

Also fix reference format.

Closes #4493.

  Commit: 41f6015a7b11b8c51288a6535c7dd8c889b042fa
      https://github.com/quicwg/base-drafts/commit/41f6015a7b11b8c51288a6535c7dd8c889b042fa
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  STOP_SENDING carries information too

So it could be unsafe for use in 0-RTT.

Closes #4494.

  Commit: 33a05bdf2a03249f667e09bd8cb22e5c9a8432db
      https://github.com/quicwg/base-drafts/commit/33a05bdf2a03249f667e09bd8cb22e5c9a8432db
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Transport calls these 4 bits Unused

So -tls should too.

Closes #4496.

  Commit: 8c56d8db7e977f72aa312bf6ecdc56c75ef44cf7
      https://github.com/quicwg/base-drafts/commit/8c56d8db7e977f72aa312bf6ecdc56c75ef44cf7
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Explain TLS/QUIC key update differences

Closes #4497.

  Commit: 9681fb054215fb6a7e36d80e524ff59fa11bdd5c
      https://github.com/quicwg/base-drafts/commit/9681fb054215fb6a7e36d80e524ff59fa11bdd5c
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Rewrite text on timing leaks for key generation

Some of this is just forward reference, but it does need a little more
context.

Also, there was a missing word.

Closes #4498.

  Commit: 3d699daae4a7cefc47fc8255c239174607cab806
      https://github.com/quicwg/base-drafts/commit/3d699daae4a7cefc47fc8255c239174607cab806
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Use current, next, subsequent

This is really hard to explain in words, but I think that this
formulation is a little easier to grok.

Closes #4499.

  Commit: 435242e9d6b56b1680d071366c74297de500fa1e
      https://github.com/quicwg/base-drafts/commit/435242e9d6b56b1680d071366c74297de500fa1e
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  The note about AEAD limits is not needed

We changed the limits listed here to be based on the maximum packet
size, so the note a few paragraphs up citing the appendix is all we need
here.

Closes #4500.

  Commit: c03a5360703b9b2c516fba442bc7437b05351990
      https://github.com/quicwg/base-drafts/commit/c03a5360703b9b2c516fba442bc7437b05351990
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Don't bother with that

Co-authored-by: Kazuho Oku <[email-masked]>

  Commit: d5faeb40af1f6dad717db7b48136c907b46504b3
      https://github.com/quicwg/base-drafts/commit/d5faeb40af1f6dad717db7b48136c907b46504b3
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M .lint.py
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  TLS uses an empty quoted string for these

Unfortunately, this pushes our line length up by one.  Rather than
reformat, I've tweaked the linter.  I'm not seeing that fail and it
still allows a 3 character gutter on both sides of diagrams in the
72-column text format, but I'd appreciate it if this could be
sanity-checked.

Closes #4503.

  Commit: 7ca03d5591781277f804894b53c4a0f365468c01
      https://github.com/quicwg/base-drafts/commit/7ca03d5591781277f804894b53c4a0f365468c01
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Reword unpadded PATH_CHALLENGE language

This was definitely odd.  Let's take another tilt at making it
comprehensible.

Closes #4513.

  Commit: 3dae7fe7689c7fc5d6cbb890c543f704f00d4284
      https://github.com/quicwg/base-drafts/commit/3dae7fe7689c7fc5d6cbb890c543f704f00d4284
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Reword PATH_CHALLENGE validation

Closes #4513.

  Commit: 5e6c750d0f4a1977f60e8eed7c15fc83a6cd3119
      https://github.com/quicwg/base-drafts/commit/5e6c750d0f4a1977f60e8eed7c15fc83a6cd3119
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  This "this" was just confusing

The text was probably backwards, but rather than invert it, remove the
indirect reference to the subject of the claim and be explicit.

Closes #4515.

  Commit: 157d8023e0994152e699d9b8e3b79756c5d270d8
      https://github.com/quicwg/base-drafts/commit/157d8023e0994152e699d9b8e3b79756c5d270d8
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  The 1200 byte thing limits space for extensions

...if the path doesn't provide extra headroom.

Includes some rewording of the text.

Closes #4516.

  Commit: c02d91f4a1a0a5c1295b91cc6c07a454c491b408
      https://github.com/quicwg/base-drafts/commit/c02d91f4a1a0a5c1295b91cc6c07a454c491b408
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge ECN text in Section 7

This is my best stab at it.

Closes #4521.

  Commit: abfa7c0abf381fcc80512a4cdfc1734ee09ddd9f
      https://github.com/quicwg/base-drafts/commit/abfa7c0abf381fcc80512a4cdfc1734ee09ddd9f
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Drop the plural

Closes #4522.

  Commit: 890fff92b107a6c4bfd60f3d34f0f18e0a9b8e77
      https://github.com/quicwg/base-drafts/commit/890fff92b107a6c4bfd60f3d34f0f18e0a9b8e77
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Restore missing 'in'

Closes #4523.

  Commit: 109ecc3dd93d939b41d144b869bfb1ae4ac3f71d
      https://github.com/quicwg/base-drafts/commit/109ecc3dd93d939b41d144b869bfb1ae4ac3f71d
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Explain why multiple connection IDs

Closes #4528.

  Commit: 574aabb9ccd2b12d62bcc415d205b7a4f2796e2c
      https://github.com/quicwg/base-drafts/commit/574aabb9ccd2b12d62bcc415d205b7a4f2796e2c
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Say that this version is 1

It was pretty obtuse otherwise.

Closes #4529.

  Commit: 9b5886b4a387cfb5682fb460acbeda01559eb377
      https://github.com/quicwg/base-drafts/commit/9b5886b4a387cfb5682fb460acbeda01559eb377
  Author: Mike Bishop <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Format of IPv6 addresses

  Commit: 1ae9ec8d44475f7c2176d2009ba8a13ef568cfe5
      https://github.com/quicwg/base-drafts/commit/1ae9ec8d44475f7c2176d2009ba8a13ef568cfe5
  Author: ianswett <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Reference RACK and TLP in recovery section 4.7

Fixes #4467

  Commit: 23fa77219511a3642ec6a012069cef5b58f77da5
      https://github.com/quicwg/base-drafts/commit/23fa77219511a3642ec6a012069cef5b58f77da5
  Author: ianswett <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 911cb33648d88fa98047db18bb9027f4fda3dae0
      https://github.com/quicwg/base-drafts/commit/911cb33648d88fa98047db18bb9027f4fda3dae0
  Author: ianswett <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: a39ad324bb5131681914d17c19ebcb474165bdde
      https://github.com/quicwg/base-drafts/commit/a39ad324bb5131681914d17c19ebcb474165bdde
  Author: ianswett <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: c98b9df251e78e2f5ad2692e8bd5c8ca7ba5080f
      https://github.com/quicwg/base-drafts/commit/c98b9df251e78e2f5ad2692e8bd5c8ca7ba5080f
  Author: ianswett <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Reference more TCP RFCs

Fixes #4554

  Commit: 78673301021c96221ad73804c1bace7748f6b8da
      https://github.com/quicwg/base-drafts/commit/78673301021c96221ad73804c1bace7748f6b8da
  Author: ianswett <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Reference RTO RFC

  Commit: 0f170f0dcb826604415e8f79f842902083ca7c7e
      https://github.com/quicwg/base-drafts/commit/0f170f0dcb826604415e8f79f842902083ca7c7e
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Use `L` to represent any type of length

As suggested by Éric.

Closes #4540.

  Commit: c343b597bcb572803dfff376c68855848221ded0
      https://github.com/quicwg/base-drafts/commit/c343b597bcb572803dfff376c68855848221ded0
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  The subject is the packet

Closes #4542.

  Commit: 79a85ae3f0d9aa831dc7ecc5ac87e54f26d64a13
      https://github.com/quicwg/base-drafts/commit/79a85ae3f0d9aa831dc7ecc5ac87e54f26d64a13
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-invariants.md

  Log Message:
  -----------
  Make the abstract more definitive

This reconciles the abstract with the content

Closes #4547.

  Commit: 443bcc38bc1bcca8d863b58c9dc57531a87c8f07
      https://github.com/quicwg/base-drafts/commit/443bcc38bc1bcca8d863b58c9dc57531a87c8f07
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  used is good

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: be97d46eb3d5d63ed1f81fcdd565638efa291c91
      https://github.com/quicwg/base-drafts/commit/be97d46eb3d5d63ed1f81fcdd565638efa291c91
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  such as

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 124295b21db89cf4a7801d9371e586f516e6feb1
      https://github.com/quicwg/base-drafts/commit/124295b21db89cf4a7801d9371e586f516e6feb1
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Cite 14.1 instead of 8.1

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 41800f9574b2c86b2d09ee94881d42677aa5f219
      https://github.com/quicwg/base-drafts/commit/41800f9574b2c86b2d09ee94881d42677aa5f219
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Use SHOULD .. can rather than MAY

Closes #4559.

  Commit: 045eaa375d6da340e4abc35935d214fc75a2f953
      https://github.com/quicwg/base-drafts/commit/045eaa375d6da340e4abc35935d214fc75a2f953
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  article

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 39b5e0160a55de9d65e948bc4e8ec288791affbc
      https://github.com/quicwg/base-drafts/commit/39b5e0160a55de9d65e948bc4e8ec288791affbc
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  We don't need to give permission, it's just not an error

Closes #4562.

  Commit: c428d3e1aebfadcad49d78debe009ac3b4758632
      https://github.com/quicwg/base-drafts/commit/c428d3e1aebfadcad49d78debe009ac3b4758632
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Be more precise about "once completed"

Closes #4563.

  Commit: db91b2c0011e5247fd19a493395481b059ddf7a5
      https://github.com/quicwg/base-drafts/commit/db91b2c0011e5247fd19a493395481b059ddf7a5
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Explain how long Retry tokens need to be valid

They only need to be good for one RTT.  Of course, the server doesn't
really know what the RTT is, so this isn't something firm, and I don't
want to explain ALL of that, but this should do.

Closes #4565.

  Commit: e1d596a0055c13d85e41777e0934190b7a150c74
      https://github.com/quicwg/base-drafts/commit/e1d596a0055c13d85e41777e0934190b7a150c74
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Switch to N_MIN

  Commit: 9d42f066e9739beeb2c78c9231522f6c97054361
      https://github.com/quicwg/base-drafts/commit/9d42f066e9739beeb2c78c9231522f6c97054361
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  plural/not

Co-authored-by: ianswett <[email-masked]>

  Commit: 54ed38fbfbb066ad6f3ac9606905068b94b70a4a
      https://github.com/quicwg/base-drafts/commit/54ed38fbfbb066ad6f3ac9606905068b94b70a4a
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Expand

  Commit: ff668a4cbf0ef6438ca79685c232d297d1d3ac59
      https://github.com/quicwg/base-drafts/commit/ff668a4cbf0ef6438ca79685c232d297d1d3ac59
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Hyphenate 8-byte overhead

and the 20-byte overhead too.

(If this is superseded, that's cool.  Low hanging fruit...)

Closes #4592.

  Commit: 2269e98d880ee07d31fcc7b14e5b4e17ed99626b
      https://github.com/quicwg/base-drafts/commit/2269e98d880ee07d31fcc7b14e5b4e17ed99626b
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove Peer Creates transition to Ready

This isn't necessary, and removing it makes it smaller.

Closes #4611.

  Commit: 2f3000ee28bdf5f23449f7133afdd95ea753d078
      https://github.com/quicwg/base-drafts/commit/2f3000ee28bdf5f23449f7133afdd95ea753d078
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Pacing moved from 6.9 to 7.7 in recovery

Closes #4613.

  Commit: 9bd12d6b8dd57ef350aadf723b132e859a6910a7
      https://github.com/quicwg/base-drafts/commit/9bd12d6b8dd57ef350aadf723b132e859a6910a7
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Clients don't need permission to discard NEW_TOKEN

Closes #4621.

  Commit: e56f16950f03f47eed86889eee29b9f385b1a282
      https://github.com/quicwg/base-drafts/commit/e56f16950f03f47eed86889eee29b9f385b1a282
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  NEW_TOKEN and Retry tokens already need to be distinguished

So just reference that as fact instead.

Closes #4622.

  Commit: 13f8b3cb2b068372bbe536aa906d7884245a8dfb
      https://github.com/quicwg/base-drafts/commit/13f8b3cb2b068372bbe536aa906d7884245a8dfb
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4462 from quicwg/off-path-defn

Clarify definition of off-path

  Commit: 2f865d80d94f73e45d0cebaabe7a2188e87b1461
      https://github.com/quicwg/base-drafts/commit/2f865d80d94f73e45d0cebaabe7a2188e87b1461
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4581 from quicwg/flow-label-this

This "this" was just confusing

  Commit: 42c87ce3ac7ac7dc4f5cb143a49c5de581dc1392
      https://github.com/quicwg/base-drafts/commit/42c87ce3ac7ac7dc4f5cb143a49c5de581dc1392
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4584 from quicwg/new-token-s

Drop the plural

  Commit: 77cb8266d8b190ade626f97eb59dc8845039d35d
      https://github.com/quicwg/base-drafts/commit/77cb8266d8b190ade626f97eb59dc8845039d35d
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4585 from quicwg/bad-ref-in

Restore missing 'in'

  Commit: 8a39414c22b30fc614e1219173f33d1065774fd0
      https://github.com/quicwg/base-drafts/commit/8a39414c22b30fc614e1219173f33d1065774fd0
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4574 from quicwg/stop-sending-0rtt

STOP_SENDING carries information too

  Commit: 81608806fdc5ae94c8f0f4fef12497d1dd0904c6
      https://github.com/quicwg/base-drafts/commit/81608806fdc5ae94c8f0f4fef12497d1dd0904c6
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: ee2eef3cf38bba21ae61417e81ff03ed410c7795
      https://github.com/quicwg/base-drafts/commit/ee2eef3cf38bba21ae61417e81ff03ed410c7795
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4582 from quicwg/limited-extension-space

The 1200 byte thing limits space for extensions

  Commit: 0885fc8c4b05ba909717189d553bf3fc36434a9b
      https://github.com/quicwg/base-drafts/commit/0885fc8c4b05ba909717189d553bf3fc36434a9b
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4583 from quicwg/only-one-ecn

Merge ECN text in Section 7

  Commit: a5306cd002484a5a002a2f3e42c075b283420b09
      https://github.com/quicwg/base-drafts/commit/a5306cd002484a5a002a2f3e42c075b283420b09
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Large enough is large enough

CLoses #4623.

  Commit: 9ef8b239ec9a4937c16d54796c15704986e3f195
      https://github.com/quicwg/base-drafts/commit/9ef8b239ec9a4937c16d54796c15704986e3f195
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  not a number

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 9421bbf639529b29f9c639d195e52a89ee402d41
      https://github.com/quicwg/base-drafts/commit/9421bbf639529b29f9c639d195e52a89ee402d41
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4603 from quicwg/not-an-error-not-permission

We don't need to give permission, it's just not an error

  Commit: 2698eb121aac4efd5afba539fc8fa6f5f9bdbe38
      https://github.com/quicwg/base-drafts/commit/2698eb121aac4efd5afba539fc8fa6f5f9bdbe38
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4604 from quicwg/once-completed

Be more precise about "once completed"

  Commit: 469bdc20f28c169fb291c483c94ceb874d4ac10c
      https://github.com/quicwg/base-drafts/commit/469bdc20f28c169fb291c483c94ceb874d4ac10c
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-invariants.md

  Log Message:
  -----------
  length too

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 73a5be416179ae35151d630da395b5a42405ad40
      https://github.com/quicwg/base-drafts/commit/73a5be416179ae35151d630da395b5a42405ad40
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  and if

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: b926d17a09102f1b78a4f1d05e82f7dac62bebc0
      https://github.com/quicwg/base-drafts/commit/b926d17a09102f1b78a4f1d05e82f7dac62bebc0
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-invariants.md

  Log Message:
  -----------
  Merge pull request #4601 from quicwg/definitive-abstract

Make the abstract more definitive

  Commit: 71dbdfc67d5f416688e58769b5e01ab1c431e53d
      https://github.com/quicwg/base-drafts/commit/71dbdfc67d5f416688e58769b5e01ab1c431e53d
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4602 from quicwg/should-can

Use SHOULD .. can rather than MAY

  Commit: 816231bf333624e2918e45db26b1221f269e373b
      https://github.com/quicwg/base-drafts/commit/816231bf333624e2918e45db26b1221f269e373b
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  retuning means something else

  Commit: 10473d6ef962bdfb699223cebb6c5405eb3be3f4
      https://github.com/quicwg/base-drafts/commit/10473d6ef962bdfb699223cebb6c5405eb3be3f4
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Server processing packets on IP change: editorial

  Commit: d0b7130806b042a841ab540924f04182e58f4b99
      https://github.com/quicwg/base-drafts/commit/d0b7130806b042a841ab540924f04182e58f4b99
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Stateless reset just needs a PRF

The second iteration piece is cruft and confusing.

Closes #4636.

  Commit: 638ec1f59d557304af940ed9bf110f19d0f18ffc
      https://github.com/quicwg/base-drafts/commit/638ec1f59d557304af940ed9bf110f19d0f18ffc
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: e6f3733dc952d20b43d808fa853994b15f537778
      https://github.com/quicwg/base-drafts/commit/e6f3733dc952d20b43d808fa853994b15f537778
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4682 from quicwg/oldpackets

Server processing packets on IP change: editorial

  Commit: a96a84abc49dc6cf8663c3ed6d37200c630b7f05
      https://github.com/quicwg/base-drafts/commit/a96a84abc49dc6cf8663c3ed6d37200c630b7f05
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4575 from quicwg/retry-unused-bits

Transport calls these 4 bits Unused

  Commit: 1ccef189e5afd8d3c1a74df2f17bd82393478075
      https://github.com/quicwg/base-drafts/commit/1ccef189e5afd8d3c1a74df2f17bd82393478075
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4572 from quicwg/hp-sample-ntext

Normative language for sampling ciphertext

  Commit: b3f6d96a3d487ffdd8287a41b8fa2efb3e235e16
      https://github.com/quicwg/base-drafts/commit/b3f6d96a3d487ffdd8287a41b8fa2efb3e235e16
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4605 from quicwg/retry-token-validity

Explain how long Retry tokens need to be valid

  Commit: b70c906671a2e21d87ec7785e2ae377da7558c04
      https://github.com/quicwg/base-drafts/commit/b70c906671a2e21d87ec7785e2ae377da7558c04
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4587 from quicwg/this-version-is-1

Say that this version is 1

  Commit: 9df89b574f8145acc092cbd1adc41225566c9acd
      https://github.com/quicwg/base-drafts/commit/9df89b574f8145acc092cbd1adc41225566c9acd
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Better.

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 7c99fe2bccd1c552275efdc1adc45c283d6cfc4c
      https://github.com/quicwg/base-drafts/commit/7c99fe2bccd1c552275efdc1adc45c283d6cfc4c
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4580 from quicwg/only-address-valid

Reword unpadded PATH_CHALLENGE language

  Commit: d7c1d2aa41e4097dbc5fa3310ae43955d22be081
      https://github.com/quicwg/base-drafts/commit/d7c1d2aa41e4097dbc5fa3310ae43955d22be081
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Explain why the fixed bit exists...ish

Closes #4641.

  Commit: f197295de0ac31e8d9e8a7e5dffb77eb1742bef6
      https://github.com/quicwg/base-drafts/commit/f197295de0ac31e8d9e8a7e5dffb77eb1742bef6
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  by whom

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: e4dc2e84ffba1cca9f1c9914e97e51d2b3a6438a
      https://github.com/quicwg/base-drafts/commit/e4dc2e84ffba1cca9f1c9914e97e51d2b3a6438a
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4595 from quicwg/transport/vyncke14

Format of IPv6 addresses

  Commit: bfd51976bfd5e685de79031034a8ac68fd4ccd73
      https://github.com/quicwg/base-drafts/commit/bfd51976bfd5e685de79031034a8ac68fd4ccd73
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  see

  Commit: de702edba582cbc8ed699e75dc8dbcdcbb950858
      https://github.com/quicwg/base-drafts/commit/de702edba582cbc8ed699e75dc8dbcdcbb950858
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4683 from quicwg/cut-second-iteration

Stateless reset just needs a PRF

  Commit: 3a5e77ae244ba77d95f8577f8b8b2e26473fe0f9
      https://github.com/quicwg/base-drafts/commit/3a5e77ae244ba77d95f8577f8b8b2e26473fe0f9
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4684 from quicwg/coexistence-fixed-bit

Explain why the fixed bit exists...ish

  Commit: 3eaa0b7730181eb6d907c032a9d6ab4c3442bb0a
      https://github.com/quicwg/base-drafts/commit/3eaa0b7730181eb6d907c032a9d6ab4c3442bb0a
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4586 from quicwg/multi-cid

Explain why multiple connection IDs

  Commit: 8dba3eb927847745fe2f1d8f71785d57248d9fce
      https://github.com/quicwg/base-drafts/commit/8dba3eb927847745fe2f1d8f71785d57248d9fce
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4681 from quicwg/large-enough

Large enough is large enough

  Commit: e001bc6872c5b205ced4cb8c0d93df579f8c84ee
      https://github.com/quicwg/base-drafts/commit/e001bc6872c5b205ced4cb8c0d93df579f8c84ee
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4634 from quicwg/must-token-differentiation

NEW_TOKEN and Retry tokens already need to be distinguished

  Commit: d5351be267b38d3905ce30a2773ad34f5cfa411b
      https://github.com/quicwg/base-drafts/commit/d5351be267b38d3905ce30a2773ad34f5cfa411b
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4629 from quicwg/can-discard-new-token

Clients don't need permission to discard NEW_TOKEN

  Commit: 677908b50aec25b719403da8340e51f0fef4aa4d
      https://github.com/quicwg/base-drafts/commit/677908b50aec25b719403da8340e51f0fef4aa4d
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4628 from quicwg/pacing-citation-update

Pacing moved from 6.9 to 7.7 in recovery

  Commit: 6f3a879fbdc2b3a8de0f2017eef8fa6912c1a3dc
      https://github.com/quicwg/base-drafts/commit/6f3a879fbdc2b3a8de0f2017eef8fa6912c1a3dc
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4627 from quicwg/peer-creates-ready

Remove Peer Creates transition to Ready

  Commit: 875b9f187cb8a30162d767d04359bc3e6be554b0
      https://github.com/quicwg/base-drafts/commit/875b9f187cb8a30162d767d04359bc3e6be554b0
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4599 from quicwg/length-notation

Use `L` to represent any type of length

  Commit: 21220c4ad79f383729269cd050b99c1adb95a592
      https://github.com/quicwg/base-drafts/commit/21220c4ad79f383729269cd050b99c1adb95a592
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4606 from quicwg/hyphen-8-byte

Hyphenate 8-byte overhead

  Commit: 2e6a1bd57afdddd2c5cbcad15db193b5a174a71a
      https://github.com/quicwg/base-drafts/commit/2e6a1bd57afdddd2c5cbcad15db193b5a174a71a
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix number agreement in TRANSPORT_PARAMETER_ERROR

Closes #4648.

  Commit: 47ecb685cf0f3cbce12c56624d11117a2dfbdec1
      https://github.com/quicwg/base-drafts/commit/47ecb685cf0f3cbce12c56624d11117a2dfbdec1
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4600 from quicwg/it-is-the-packet

The subject is the packet

  Commit: b5ec57e09452d440d0903a2f67fd386744480289
      https://github.com/quicwg/base-drafts/commit/b5ec57e09452d440d0903a2f67fd386744480289
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M .lint.py
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4579 from quicwg/empty-quotes

TLS uses an empty quoted string for these

  Commit: c1562f96fa7b0ea1fb626535d115e46532fabc88
      https://github.com/quicwg/base-drafts/commit/c1562f96fa7b0ea1fb626535d115e46532fabc88
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Cite Section 8.1 for use of CID for validation

Closes #4654.

  Commit: 19ec4d7c4f8e7d0b501305b37816006f42b0ffff
      https://github.com/quicwg/base-drafts/commit/19ec4d7c4f8e7d0b501305b37816006f42b0ffff
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4573 from quicwg/next-subsequent-potato-tomato

Subsequent keys can be used as well as the next

  Commit: 44cbd2f9d791025d5f3d4f913a5166ded33eff1a
      https://github.com/quicwg/base-drafts/commit/44cbd2f9d791025d5f3d4f913a5166ded33eff1a
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4569 from quicwg/no-tls-pad

Cite 14.1 of -transport for Initial padding

  Commit: 3d8a6d740e9996ad1ba5585c0fccbd3b5df8afdb
      https://github.com/quicwg/base-drafts/commit/3d8a6d740e9996ad1ba5585c0fccbd3b5df8afdb
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4549 from quicwg/0rtt-not-only-resumed

0-RTT is possible without prior communication

  Commit: d7c46d7f2c0a705c3f73bdd568984c91e8705b3f
      https://github.com/quicwg/base-drafts/commit/d7c46d7f2c0a705c3f73bdd568984c91e8705b3f
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4686 from quicwg/transport-parameter-agreement

Fix number agreement in TRANSPORT_PARAMETER_ERROR

  Commit: fe89c209da0f468cef40651652afe2463c8ed797
      https://github.com/quicwg/base-drafts/commit/fe89c209da0f468cef40651652afe2463c8ed797
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4687 from quicwg/cite-validation-for-cid-handshake

Cite Section 8.1 for use of CID for validation

  Commit: 91116adf4848cb7d48448659e99ff08b63938d82
      https://github.com/quicwg/base-drafts/commit/91116adf4848cb7d48448659e99ff08b63938d82
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4567 from quicwg/its-an-illustration

This is an example for illustration purposes

  Commit: ca0f48a02cedde11efc69611f7d439246c92ddab
      https://github.com/quicwg/base-drafts/commit/ca0f48a02cedde11efc69611f7d439246c92ddab
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4561 from quicwg/issue4480

Two fixes for issue 4480

  Commit: f4dc3e296b3b434e7556913b5bb030db437212cf
      https://github.com/quicwg/base-drafts/commit/f4dc3e296b3b434e7556913b5bb030db437212cf
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4568 from quicwg/tls-interface-confirmed

Add Handshake Confirmed to the TLS interface

  Commit: efbd4f85a0575d09973115be494ce31f5b964e7d
      https://github.com/quicwg/base-drafts/commit/efbd4f85a0575d09973115be494ce31f5b964e7d
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4553 from quicwg/who-authenticates

It is important to agree on who authenticates

  Commit: 2fe91d814f0e0e6aaaf3a2035a130bd903583e9e
      https://github.com/quicwg/base-drafts/commit/2fe91d814f0e0e6aaaf3a2035a130bd903583e9e
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Use established terminology

This might conflict, but I think it supersedes the other "off-path"
tweaks.

Closes #4658.

  Commit: da92791edf17f8974b0bd4b426671c3e6df9fcfc
      https://github.com/quicwg/base-drafts/commit/da92791edf17f8974b0bd4b426671c3e6df9fcfc
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  As Murray says, it just ends

No need for a SHOULD here.

(No issue yet.)

  Commit: 830a597117b904a53dceaed8e1b195f8e48a1083
      https://github.com/quicwg/base-drafts/commit/830a597117b904a53dceaed8e1b195f8e48a1083
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4688 from quicwg/a-little-on-the-side

Use established terminology

  Commit: dff7c81de71c9e2a33b416086522784610eabca9
      https://github.com/quicwg/base-drafts/commit/dff7c81de71c9e2a33b416086522784610eabca9
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Kazuho convinced me.

  Commit: 9d40fe66648309d25fdc10c0f2e31d1ccd010a82
      https://github.com/quicwg/base-drafts/commit/9d40fe66648309d25fdc10c0f2e31d1ccd010a82
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4571 from quicwg/hkdf-expand-label-context

Define Context and Length inputs to HKDF-Expand-Label

  Commit: d48f251047a7de8ff4e409e9415474849bee34b1
      https://github.com/quicwg/base-drafts/commit/d48f251047a7de8ff4e409e9415474849bee34b1
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-06 (Wed, 06 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4690 from quicwg/should-end-ends

As Murray says, it just ends

  Commit: 46b211e418eb1d6edf56f66127b9d59a6376afa1
      https://github.com/quicwg/base-drafts/commit/46b211e418eb1d6edf56f66127b9d59a6376afa1
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Sure, fine

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 484cba8edd7a7fb23a706b3cf71b7bd83556d6b7
      https://github.com/quicwg/base-drafts/commit/484cba8edd7a7fb23a706b3cf71b7bd83556d6b7
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Wrap

  Commit: 5f12eb5e379a44b51b926edd317a6744d446dc56
      https://github.com/quicwg/base-drafts/commit/5f12eb5e379a44b51b926edd317a6744d446dc56
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-08 (Fri, 08 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4578 from quicwg/higher-limits-if-smaller

The note about AEAD limits is not needed

  Commit: d5dacc8297df4d940590be9f4ea760e87d2b73a5
      https://github.com/quicwg/base-drafts/commit/d5dacc8297df4d940590be9f4ea760e87d2b73a5
  Author: ianswett <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 3dd1e5c337c1a96511a55ac6318a4330a2731473
      https://github.com/quicwg/base-drafts/commit/3dd1e5c337c1a96511a55ac6318a4330a2731473
  Author: ianswett <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 609c9c751f6bb71d5df22e31911f4d0822c31485
      https://github.com/quicwg/base-drafts/commit/609c9c751f6bb71d5df22e31911f4d0822c31485
  Author: ianswett <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: eaa743adcdab8ea9073e5af038cd5fbf2991cf85
      https://github.com/quicwg/base-drafts/commit/eaa743adcdab8ea9073e5af038cd5fbf2991cf85
  Author: ianswett <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 68a5ea83475e80113fc5970f2df13eee8fde86aa
      https://github.com/quicwg/base-drafts/commit/68a5ea83475e80113fc5970f2df13eee8fde86aa
  Author: Mike Bishop <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Two hyphenation fixes

  Commit: 3fd75aa3dfee4ab2a9fcd422dde51dbaf7a539bf
      https://github.com/quicwg/base-drafts/commit/3fd75aa3dfee4ab2a9fcd422dde51dbaf7a539bf
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4598 from quicwg/ianswett-more-tcp-refs

Reference more TCP RFCs

  Commit: 05fd9ba9cdeb6cf758735bba9d4cca3467606a65
      https://github.com/quicwg/base-drafts/commit/05fd9ba9cdeb6cf758735bba9d4cca3467606a65
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-07 (Thu, 07 Jan 2021)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4596 from quicwg/ianswett-rack-tlp

Reference RACK and TLP in recovery section 4.7

  Commit: 708c3577f70a2feb473bbed8bb9700bc3a2e4316
      https://github.com/quicwg/base-drafts/commit/708c3577f70a2feb473bbed8bb9700bc3a2e4316
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-08 (Fri, 08 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  RFC 4086 can be an informative reference

Closes #4664.

  Commit: 63b0bae06a4908990939680be72cb54b528b0307
      https://github.com/quicwg/base-drafts/commit/63b0bae06a4908990939680be72cb54b528b0307
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-08 (Fri, 08 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  More words about which state machine where

Closes #4672.

  Commit: 9d94e537bcf4f5e9ba0c8a78b024050eb6855233
      https://github.com/quicwg/base-drafts/commit/9d94e537bcf4f5e9ba0c8a78b024050eb6855233
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-08 (Fri, 08 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  The application reads the Reset not the RST

Using words rather than weird acrobreviations is good.  This isn't
RESET_STREAM as we aren't really talking about the frame, but the
information it carries.

Closes #4673.

  Commit: 14afca0f43f6f289eb5552dabc0c97dad6a7dfbc
      https://github.com/quicwg/base-drafts/commit/14afca0f43f6f289eb5552dabc0c97dad6a7dfbc
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-08 (Fri, 08 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Reorder bidi clause for Recv

Closes #4674.

  Commit: 148341e72480b12ab86aa1193e2bb9e2e2cd46ff
      https://github.com/quicwg/base-drafts/commit/148341e72480b12ab86aa1193e2bb9e2e2cd46ff
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-08 (Fri, 08 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  a stream, not any stream

Closes #4675.

  Commit: b22e747a1e2a12a210b2b2a500eae83b88c84f5b
      https://github.com/quicwg/base-drafts/commit/b22e747a1e2a12a210b2b2a500eae83b88c84f5b
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-08 (Fri, 08 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  A minimum-length varint encoding is not mandatory

With one exception.

Closes #4678.

  Commit: a1d5f94de41f66952b60e483a2238f251fc46ddc
      https://github.com/quicwg/base-drafts/commit/a1d5f94de41f66952b60e483a2238f251fc46ddc
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-08 (Fri, 08 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  I don't know how to hyphenate packet type specific

So I rewrote the sentence instead.

Closes #4680.

  Commit: 4abcc83bf51f870b913da5ecb279fa1ecb044f13
      https://github.com/quicwg/base-drafts/commit/4abcc83bf51f870b913da5ecb279fa1ecb044f13
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-08 (Fri, 08 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4695 from quicwg/num-hyphens

Two hyphenation fixes

  Commit: 33dd9dd4dde7b6f55f4a1b971f88220616ac1852
      https://github.com/quicwg/base-drafts/commit/33dd9dd4dde7b6f55f4a1b971f88220616ac1852
  Author: Mike Bishop <[email-masked]>
  Date:   2021-01-08 (Fri, 08 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Repeat object

  Commit: 5e79bdafcd863aa7e652b1c078eded5a9dc80b5f
      https://github.com/quicwg/base-drafts/commit/5e79bdafcd863aa7e652b1c078eded5a9dc80b5f
  Author: Mike Bishop <[email-masked]>
  Date:   2021-01-08 (Fri, 08 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  PATH_RESPONSE can't occur in 0-RTT

  Commit: f1f70d5ef2faaa6e7f169a8a81b88d35fd26c2b4
      https://github.com/quicwg/base-drafts/commit/f1f70d5ef2faaa6e7f169a8a81b88d35fd26c2b4
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-10 (Sun, 10 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  of the stream

Co-authored-by: ianswett <[email-masked]>

  Commit: 0acdfddd83c4a958e19113e317cfcd55ce75eaea
      https://github.com/quicwg/base-drafts/commit/0acdfddd83c4a958e19113e317cfcd55ce75eaea
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-10 (Sun, 10 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4717 from quicwg/transport/vyncke16

Tweak for clarity

  Commit: a446b2d535fd27fe99f227bf618d0f9b6bb02ad9
      https://github.com/quicwg/base-drafts/commit/a446b2d535fd27fe99f227bf618d0f9b6bb02ad9
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-10 (Sun, 10 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4705 from quicwg/packet-type-specific

I don't know how to hyphenate packet type specific

  Commit: 51f3305947af552f5959f3f8f24c7a2a43b79aae
      https://github.com/quicwg/base-drafts/commit/51f3305947af552f5959f3f8f24c7a2a43b79aae
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-11 (Mon, 11 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  one PTO, not three

  Commit: e63156d3dd5191365ba6e3d79cad0229837ff4b7
      https://github.com/quicwg/base-drafts/commit/e63156d3dd5191365ba6e3d79cad0229837ff4b7
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-11 (Mon, 11 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4720 from quicwg/transport/pr_in_0rtt

PATH_RESPONSE can't occur in 0-RTT

  Commit: 34aef8077aea2bb8be47ce7401cf110329bbbe2e
      https://github.com/quicwg/base-drafts/commit/34aef8077aea2bb8be47ce7401cf110329bbbe2e
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-10 (Sun, 10 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4704 from quicwg/non-optimal-varint

A minimum-length varint encoding is not mandatory

  Commit: 1f6e6541cbb2b94e9f38db0a6cf110b971fcdb7b
      https://github.com/quicwg/base-drafts/commit/1f6e6541cbb2b94e9f38db0a6cf110b971fcdb7b
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-10 (Sun, 10 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4703 from quicwg/ny

a stream, not any stream

  Commit: 22184fff53fdc34620d9b96e9c3a255f5e53b8db
      https://github.com/quicwg/base-drafts/commit/22184fff53fdc34620d9b96e9c3a255f5e53b8db
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-10 (Sun, 10 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4702 from quicwg/recv-bidi-reorder

Reorder bidi clause for Recv

  Commit: aafd6ea36cd25e9fbd6236eb457714a4c4e6af91
      https://github.com/quicwg/base-drafts/commit/aafd6ea36cd25e9fbd6236eb457714a4c4e6af91
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-10 (Sun, 10 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4701 from quicwg/app-rd-rst

The application reads the Reset not the RST

  Commit: eafd54f381d386565c85b1086a01a3c160d0b1dc
      https://github.com/quicwg/base-drafts/commit/eafd54f381d386565c85b1086a01a3c160d0b1dc
  Author: Jana Iyengar <[email-masked]>
  Date:   2021-01-10 (Sun, 10 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4699 from quicwg/informative-4086

RFC 4086 can be an informative reference

  Commit: 04083e2726b900dd260df6a20380aad272ecfbea
      https://github.com/quicwg/base-drafts/commit/04083e2726b900dd260df6a20380aad272ecfbea
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-11 (Mon, 11 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  +type

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 1783bbc5b8ea2b3c547fd33ebc42fcfe6cbb130b
      https://github.com/quicwg/base-drafts/commit/1783bbc5b8ea2b3c547fd33ebc42fcfe6cbb130b
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-11 (Mon, 11 Jan 2021)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4700 from quicwg/which-state-machine

More words about which state machine where

  Commit: 4748fc63106f1fedcd7916122793e42e5d428ae7
      https://github.com/quicwg/base-drafts/commit/4748fc63106f1fedcd7916122793e42e5d428ae7
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-11 (Mon, 11 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4463 from quicwg/tp-availability

Transport parameters can be used before they are authentic

  Commit: 3b54ffa345c424e82bd2a5bd360d4a3733acb353
      https://github.com/quicwg/base-drafts/commit/3b54ffa345c424e82bd2a5bd360d4a3733acb353
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-11 (Mon, 11 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4576 from quicwg/key-update-sync

Explain TLS/QUIC key update differences

  Commit: ffb5cd36e8bc897ca020dc049fed2f19d7f609f9
      https://github.com/quicwg/base-drafts/commit/ffb5cd36e8bc897ca020dc049fed2f19d7f609f9
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-11 (Mon, 11 Jan 2021)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4577 from quicwg/leak-update

Rewrite text on timing leaks for key generation

  Commit: 37786b0e83a019e78a7eba226be5b7973c435f88
      https://github.com/quicwg/base-drafts/commit/37786b0e83a019e78a7eba226be5b7973c435f88
  Author: Martin Thomson <[email-masked]>
  Date:   2021-01-11 (Mon, 11 Jan 2021)

  Changed paths:
    M .lint.py
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into zero-or-more-occurrences

Compare: https://github.com/quicwg/base-drafts/compare/f163528dabf0...37786b0e83a0